unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, Buttons, jpeg, ExtCtrls, ShellAPI;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    Memo1: TMemo;
    StatusBar1: TStatusBar;
    GroupBox3: TGroupBox;
    ComboBox1: TComboBox;
    BitBtn1: TBitBtn;
    GroupBox4: TGroupBox;
    ComboBox2: TComboBox;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    Image1: TImage;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2, Unit3;

{$R *.dfm}

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  case ComboBox1.ItemIndex of
   0 : begin
         Form2.Show;
         Memo1.Lines.Add('Form2.Show;');
       end;
   1 : begin
         SendMessage (Form2.Handle, WM_CLOSE, 0, 0);
         Memo1.Lines.Add('SendMessage (Form2.Handle, WM_CLOSE, 0, 0);');
       end;
   2 : begin
         SendMessage (Form2.Handle,WM_USER, 0, 0);
         Memo1.Lines.Add('SendMessage (Form2.Handle,SW_HIDE, 0, 0);');
       end;
   3 : begin
         SendMessage (Form2.Handle,WM_ACTIVATE, 0, 0);
         Memo1.Lines.Add('SendMessage (Form2.Handle,SW_RESTORE, 0, 0);');
       end;
 end;
end;

procedure TForm1.BitBtn3Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
var
  CDS : TCopyDataStruct;
  dt  : TDateTime;
  ms  : TMemoryStatus;
begin
  case ComboBox2.ItemIndex of
    0: begin
         ShellExecute (Handle, 'open',PChar(ExtractFilePath(Application.ExeName) + 'Project2.exe'), nil, nil, SW_SHOWNORMAL);
         Memo1.Lines.Add('ShellExecute (Handle, ''open'',PChar(ExtractFilePath(Application.ExeName) + ''Project2.exe''), nil, nil, SW_SHOWNORMAL);')
       end;
    1: begin
         SendMessage(FindWindow ('TForm1', 'Form1'), WM_CLOSE, 0, 0);
         Memo1.Lines.Add('SendMessage(FindWindow ('+ '''TForm1''' + ',' + ' ''Form1''' + ')' + ', WM_CLOSE, 0, 0);');
       end;
    2: begin
         SendMessage(FindWindow ('TForm1', 'Form1'), WM_QUIT, 0, 0);
         Memo1.Lines.Add('SendMessage(FindWindow (''TForm1'', ''Form1''), WM_QUIT, 0, 0);');
       end;
    3: begin
         SendMessage(FindWindow ('TForm1', 'Form1'), WM_ACTIVATE, 0, 0);
       end;
    4: begin
         dt:=Now;
         GlobalMemoryStatus(ms);
         CDS.dwData:=ms.dwAvailPageFile+ms.dwAvailPhys;
         CDS.cbData:=SizeOf(dt);
         CDS.lpData:=@dt;
         SendMessage(FindWindow ('TForm1', 'Form1'), WM_COPYDATA, 0, longint(@CDS));
         Memo1.Lines.Add('SendMessage(FindWindow (''TForm1'', ''Form1''), WM_COPYDATA, 0, longint(@CDS));')
       end;
  end;
end;

procedure TForm1.BitBtn4Click(Sender: TObject);
begin
  Form3.ShowModal;
end;

end.
